<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Listagem de Notas</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <h:outputStylesheet library="webjars" name="primeflex/3.2.1/primeflex.min.css"/>
</h:head>

<h:body>

    <h:form id="formPrincipal">

        <p:remoteCommand name="updateGrid" update="dttbNotas"/>

<!--        <p:messages id="msg" closable="true" showDetail="true" skipDetailIfEqualsSummary="true"-->
<!--                    styleClass="m-2" redisplay="false" globalOnly="true">-->
<!--            <p:autoUpdate/>-->
<!--        </p:messages>-->

        <p:growl id="growl" showDetail="true">
            <p:autoUpdate/>
        </p:growl>

        <p:growl id="growl-sticky" for="sticky" showDetail="true" sticky="true">
            <p:autoUpdate/>
        </p:growl>

        <p:card styleClass="m-2">
            <f:facet name="title">
                <div class="flex">
                    <div class="flex-1 flex">
                        Listagem de Notas
                    </div>
                    <div class="flex-1 flex align-items-end justify-content-end">
                        <p:commandButton value="Atualizar" icon="pi pi-refresh"
                                         action="#{notaBean.listarNotas()}"
                                         update="dttbNotas" styleClass="ui-button-flat"/>
                    </div>
                </div>
            </f:facet>


            <p:commandButton icon="pi pi-file-o" value="Cadastrar Nota"
                             styleClass="mb-2"
                             action="#{notaBean.editarNota(null)}">
                <p:ajax event="dialogReturn" listener="#{notaBean.onReturnFromEdicaoCadastroNota}"
                        update="dttbNotas"/>
            </p:commandButton>

            <div class="formgrid grid">
                <span class="col-12 sm:col-1 md:col-12">
                    <p:dataTable id="dttbNotas" value="#{notaBean.listaNotas}" var="nota">
                        <p:column headerText="Id.">
                            <h:outputText value="#{nota.id}"/>
                        </p:column>
                        <p:column headerText="Título">
                            <h:outputText value="#{nota.title}"/>
                        </p:column>
                        <p:column headerText="Corpo">
                            <h:outputText value="#{nota.body}"/>
                        </p:column>
                        <p:column headerText="Ações">
                            <p:commandButton icon="pi pi-info-circle" title="Visualizar Detalhes"
                                             styleClass="rounded-button ui-button-info ui-button-outlined"
                                             action="#{notaBean.exibirDetalhes(nota)}">
                            </p:commandButton>
                            <p:spacer width="5px"/>
                            <p:commandButton icon="pi pi-pencil" title="Editar"
                                             styleClass="rounded-button ui-button-info ui-button-outlined"
                                             action="#{notaBean.editarNota(nota)}">
                                <p:ajax event="dialogReturn" listener="#{notaBean.onReturnFromEdicaoCadastroNota}"
                                        update="dttbNotas"/>
                            </p:commandButton>
                            <p:spacer width="5px"/>
                            <p:commandButton icon="pi pi-trash" title="Excluir"
                                             styleClass="rounded-button ui-button-info ui-button-outlined"
                                             actionListener="#{notaBean.excluirNota(nota, false)}" update="dttbNotas">
                                <p:confirm type="popup" header="Confirmação" message="Deseja excluir esta nota?" icon="pi pi-info-circle"/>
                            </p:commandButton>
                        </p:column>
                    </p:dataTable>
                </span>
            </div>
        </p:card>

        <p:confirmPopup global="true">
            <p:commandButton value="Não" type="button" styleClass="ui-confirm-popup-no ui-button-flat"/>
            <p:commandButton value="Sim" type="button" styleClass="ui-confirm-popup-yes" />
        </p:confirmPopup>

    </h:form>

</h:body>

</html>
